Subject: Re: [PATCH v3 09/10] Fix tests breaking when checkout path contains shell metacharacters

From: Johannes Sixt <[email-masked]>
Date: Mon, 05 May 2008 10:11:19 +0200

Bryan Donlan schrieb:
> On Mon, May 05, 2008 at 09:04:08AM +0200, Johannes Sixt wrote:
>> Bryan Donlan schrieb:
>>> This fixes the remainder of the issues where the test script itself is at
>>> fault for failing when the git checkout path contains whitespace or other
>>> shell metacharacters.
>> Maybe a note along these lines would be in order:
>>
>> The majority of git svn tests used the idiom
>>
>>   test_expect_success "title" "test script using $svnrepo"
>>
>> These were changed to have the test script in single-quotes:
>>
>>   test_expect_success "title" 'test script using "$svnrepo"'
>>
>> (which makes the patch so large). One consequence of this change is that
>> in the verbose test output the value of $svnrepo (and in some cases other
>> variables, too) is no longer expanded, i.e. previously we saw
>>
>>   * expecting success:
>> 	test script using /path/to/git/t/trash/svnrepo
>>
>> but now it is:
>>
>>   * expecting success:
>> 	test script using "$svnrepo"
> 
> Ah, good point. I don't see an easy way to make them show in expanded
> form without breaking space handling, unfortunately, but if a v4 is
> needed I can toss that in.

I don't think there's a lot of value in the original behavior, so IMO you
don't have to resurrect it (it would make the test scripts less readable
again). Just mention the new behavior in the commit message so that
everybody knows that the change is more or less intended.

-- Hannes